Deals
DE EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Yealink SIP-T58W IP phone Grey LCD Wi-Fi

Yealink · IP Phone

Yealink SIP-T58W IP phone Grey LCD Wi-Fi price in Germany

Model SIP-T58WMPN 1301112MPN 1301111EAN 6938818307674EAN 841885106483

  • Display17.8 cm (7")
  • Resolution1024 x 600 pixels
  • TypeIP Phone
  • Weight9.16 kg

Lowest price

452,20 €

at Netzwerkartikel.deIn stock

  • 1 store
  • 1 in stock
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Germany

1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC

Lowest price452,20 €at Netzwerkartikel.de · shipping not statedGo to Netzwerkartikel.de (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 0 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Netzwerkartikel.deLowest priceYealink SIP-T58W IP phone In stockShipping not stated
    452,20 €item price, shipping extra
    Go to store : Netzwerkartikel.de (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Germany

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Netzwerkartikel.de452,20 €
Go to store

Product details

Identification

Brand
Yealink
Product
SIP-T58W IP phone Grey LCD Wi-Fi
Full name
Yealink SIP-T58W IP phone Grey LCD Wi-Fi
Manufacturer part number
1301112, 1301111
EAN / UPC
6938818307674, 841885106483, 6938818307667
Category
IP Phone

74 specifications from the manufacturer's data sheet

Design

Product typeIP Phone
Handset typeWired handset
Product colourGrey
Wall mountableYes

Performance

Dual-Tone Multi-Frequency (DTMF) modesIn-band, Out-of band, SIP info
Hearing aid compatibilityYes

Phone features

Answering machineYes
Anonymous callYes
Anonymous call rejectionYes
Call forwardingYes
Call holdYes
Call parkYes
Call pick upYes
Call returnYes
Call transferYes
Call waitingYes
Caller IDYes
Conference callYes
Do not disturb functionYes
Full duplexYes
IntercomYes
Message-waiting indicator (MWI)Yes
Phonebook capacity1000 entries
RedialingYes
Speed diallingYes

Management features

Integrated voicemailYes
Keypad number of keys27
Number of function keys7

Display

DisplayLCD
Display diagonal17.8 cm (7")
Display resolution1024 x 600 pixels
TouchscreenYes
Touchscreen typeCapacitive

Camera

Front cameraYes
Front camera resolution (numeric)5 MP
Field of view (FOV) angle75°

Audio

SpeakerphoneYes
Microphone muteYes
Adaptive jitter buffersYes
Automatic gain controlYes
Comfort noise generation (CNG)Yes
Noise reductionYes
Packet loss concealment (PLC)Yes
Voice activity detectionYes
Voice codecsG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC

Video

Video resolutions1280 x 720 pixels
Video codecsH.264 High Profile, H.264, VP8

Network

Ethernet LANYes
Ethernet LAN data rates1000 Mbit/s
Ethernet LAN interface typeGigabit Ethernet
Wi-FiYes
Wi-Fi standards802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
BluetoothYes
Bluetooth version4.2
Networking standardsIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportYes
Security algorithms256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)

Ports & interfaces

USB 2.0 ports quantity2
Ethernet LAN (RJ-45) ports2
RJ-9 ports quantity2

Power

Power over Ethernet (PoE)Yes

Operational conditions

Operating relative humidity (H-H)10 - 95%
Operating temperature (T-T)0 - 40 °C

Weight & dimensions

Width259.4 mm
Depth220 mm
Height239 mm
Weight9.16 kg
Package width324 mm
Package depth293 mm
Package height128 mm
Package weight9.86 kg

Packaging content

Number of handles included1 pc(s)

Logistics data

Harmonized System (HS) code85171800

More ip phones deals in Germany

All ip phones deals

Yealink

T88V Pro

Display
17.8 cm (7")
Resolution
1024 x 600 pixels
Type
IP Phone

507,58 €

Cheapest at Netzwerkartikel.de

See the offer

Yealink

T88W Pro

Display
17.8 cm (7")
Resolution
1024 x 600 pixels
Type
IP Phone

373,72 €

Cheapest at Netzwerkartikel.de

See the offer